AudioSampleValueTest Class Reference

`#include <AudioSampleValueTest.h>`

Inheritance diagram for AudioSampleValueTest:

## Public Member Functions

| AudioSampleValueTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testDistance (void)
void | testIsNeighbour (void)
Public Member Functions inherited from SampleValueTest
| SampleValueTest (std::string n, TestSuite *s)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

CvrStgFile * | f_AuMuLaw
CvrStgFile * | f_AuPCM16
SampleValue * | sv_AuMuLaw_0
SampleValue * | sv_AuMuLaw_1
SampleValue * | sv_AuMuLaw_45
SampleValue * | sv_AuPCM16_m32768
SampleValue * | sv_AuPCM16_32767
SampleValue * | sv_AuPCM16_0
SampleValue * | sv_AuPCM16_15
Globals | gl_AuMuLaw
Globals | gl_AuPCM16

## Additional Inherited Members

Protected Member Functions inherited from SampleValueTest
bool | genericTestDistance (SampleValue *s1, SampleValue *s2, UWORD32 dist)
bool | genericTestIsNeighbour (SampleValue *s1, SampleValue *s2, bool res)
bool | genericTestEValue (SampleValue *s, EmbValue ev)
Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## AudioSampleValueTest()

AudioSampleValueTest::AudioSampleValueTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void AudioSampleValueTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void AudioSampleValueTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testDistance()

void AudioSampleValueTest::testDistance | ( | void |  | ) |

## testIsNeighbour()

void AudioSampleValueTest::testIsNeighbour | ( | void |  | ) |

## Member Data Documentation

## f_AuMuLaw

CvrStgFile* AudioSampleValueTest::f_AuMuLaw

private

## f_AuPCM16

CvrStgFile * AudioSampleValueTest::f_AuPCM16

private

## gl_AuMuLaw

Globals AudioSampleValueTest::gl_AuMuLaw

private

## gl_AuPCM16

Globals AudioSampleValueTest::gl_AuPCM16

private

## sv_AuMuLaw_0

SampleValue* AudioSampleValueTest::sv_AuMuLaw_0

private

## sv_AuMuLaw_1

SampleValue * AudioSampleValueTest::sv_AuMuLaw_1

private

## sv_AuMuLaw_45

SampleValue * AudioSampleValueTest::sv_AuMuLaw_45

private

## sv_AuPCM16_0

SampleValue * AudioSampleValueTest::sv_AuPCM16_0

private

## sv_AuPCM16_15

SampleValue * AudioSampleValueTest::sv_AuPCM16_15

private

## sv_AuPCM16_32767

SampleValue * AudioSampleValueTest::sv_AuPCM16_32767

private

## sv_AuPCM16_m32768

SampleValue * AudioSampleValueTest::sv_AuPCM16_m32768

private

The documentation for this class was generated from the following files:

- AudioSampleValueTest.h
- AudioSampleValueTest.cc